org.jboss.shrinkwrap.descriptor.api.javaee6

## Interface InjectionTargetType<T>

- All Superinterfaces:
    org.jboss.shrinkwrap.descriptor.api.Child<T>

      public interface InjectionTargetType<T>
      extends org.jboss.shrinkwrap.descriptor.api.Child<T>

  This interface defines the contract for the `injection-targetType` xsd type

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getInjectionTargetClass()` Returns the `injection-target-class` element
    `java.lang.String` | `getInjectionTargetName()` Returns the `injection-target-name` element
    `InjectionTargetType<T>` | `injectionTargetClass(java.lang.String injectionTargetClass)` Sets the `injection-target-class` element
    `InjectionTargetType<T>` | `injectionTargetName(java.lang.String injectionTargetName)` Sets the `injection-target-name` element
    `InjectionTargetType<T>` | `removeInjectionTargetClass()` Removes the `injection-target-class` element
    `InjectionTargetType<T>` | `removeInjectionTargetName()` Removes the `injection-target-name` element

    - ### Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child

      `up`

- - ### Method Detail

    - #### injectionTargetClass

          InjectionTargetType<T> injectionTargetClass(java.lang.String injectionTargetClass)

      Sets the `injection-target-class` element
      Parameters:
        `injectionTargetClass` - the value for the element `injection-target-class`
      Returns:
        the current instance of `InjectionTargetType`

    - #### getInjectionTargetClass

          java.lang.String getInjectionTargetClass()

      Returns the `injection-target-class` element
      Returns:
        the node defined for the element `injection-target-class`

    - #### removeInjectionTargetClass

          InjectionTargetType<T> removeInjectionTargetClass()

      Removes the `injection-target-class` element
      Returns:
        the current instance of `InjectionTargetType`

    - #### injectionTargetName

          InjectionTargetType<T> injectionTargetName(java.lang.String injectionTargetName)

      Sets the `injection-target-name` element
      Parameters:
        `injectionTargetName` - the value for the element `injection-target-name`
      Returns:
        the current instance of `InjectionTargetType`

    - #### getInjectionTargetName

          java.lang.String getInjectionTargetName()

      Returns the `injection-target-name` element
      Returns:
        the node defined for the element `injection-target-name`

    - #### removeInjectionTargetName

          InjectionTargetType<T> removeInjectionTargetName()

      Removes the `injection-target-name` element
      Returns:
        the current instance of `InjectionTargetType`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)